#!/bin/bash

set -e

pit=0
oot=0
oom=0

cd cycles
for f in */*.failed ; do
  p=`dirname $f`
  #if grep -q "^$p$" ../../pkgs-re-run ; then
  #  continue
  #fi
  if tail -n 1 $f | grep -q "^Out of memory" ; then
    oom=$((oom + 1))
  elif tail -n 1 $f | egrep -q "^(Number of writes:|c::)" ; then
    oot=$((oot + 1))
  elif tail -n 1 $f | egrep -q "^(Partial Inlining|Time alias analysis:)" ; then
    pit=$((pit + 1))
  else
    echo "==== $f ===="
    tail -n2 $f
  fi
done

echo "Out of memory: $oom"
echo "Time out with too many read/write events: $oot"
echo "Time out at partial inlining: $pit"
